package telecomnancy.directdealing.controller;

import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.control.MenuItem;
import lombok.Setter;
import telecomnancy.directdealing.App;

public class AccueilController {
    @Setter
    private App app;
    
    @FXML
    private MenuItem connexion;
;

    @FXML
    private MenuItem inscription;

    @FXML
    private MenuItem quitter;

    @FXML
    private void initialize(){
        connexion.setOnAction(event -> this.app.connexion());
        inscription.setOnAction(event -> this.app.inscription());
        quitter.setOnAction(event-> Platform.exit());
    }

}
