package telecomnancy.directdealing.controller;

import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuItem;
import telecomnancy.directdealing.App;
import telecomnancy.directdealing.model.User;

public class ProfilController {
    @FXML
    Label username;
    @FXML
    Label email;
    @FXML 
    Label password;
    @FXML
    Label phoneNumber;
    @FXML
    MenuItem tdb;
    @FXML
    MenuItem quitter;
    @FXML
    MenuItem deco;
    @FXML
    MenuItem infoflo;
    @FXML
    MenuItem offres;
    @FXML
    MenuItem messagerie;
    @FXML
    Button modifier;
    @FXML
    Menu florains;
    @FXML
    Button pause;
    private App app;
    private User user;

    public ProfilController(User user,App app){
        this.user=user;
        this.app=app;
    }

    public void initialize(){
        username.setText(this.user.getUsername());
        email.setText(this.user.getEmail());
        password.setText(this.user.getPassword());
        phoneNumber.setText(this.user.getPhoneNumber());
        tdb.setOnAction(event->this.app.tdb(this.user));
        quitter.setOnAction(event-> Platform.exit());
        deco.setOnAction(evetn->this.app.accueil());
        infoflo.setOnAction(event-> this.app.infoflorains(this.user));
        offres.setOnAction(event->this.app.listoffres(this.user));
        messagerie.setOnAction(event-> this.app.messagerie(this.user));
        modifier.setOnAction(event-> this.app.modifinfo(this.user));
        florains.setText(this.user.getFlorains() +" florains");
        pause.setOnAction(event-> this.app.pausecompte(this.user));
    }



}
