package telecomnancy.directdealing.controller;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.List;

import org.junit.jupiter.api.Order;
import org.junit.jupiter.api.Test;

import telecomnancy.directdealing.database.DatabaseManager;
import telecomnancy.directdealing.model.User;

public class NotificationControllerTest {
    @Order(1)
    @Test
    public void sendNotificationTest() {
        String username = "ilyes";
        
        String testMsg = "Notification Test";

        User testUser = new User(username, "null", "null", "null");
        DatabaseManager.addUser(testUser);
        NotificationController.sendNotification(username, testMsg);

        List<String> testmessages= MessagerieController.messagesWith("System", username);
        assertEquals(testMsg, testmessages.get(1));
    }
}
