package telecomnancy.directdealing.controller;

import telecomnancy.directdealing.database.DatabaseManager;
import telecomnancy.directdealing.model.User;

public class FlorainsController {

    public static void addFlorains(String username, int amount) {
        User user = DatabaseManager.getUserByUsername(username);
        user.addFlorains(amount);
    }

    public static void subFlorains(String username, int amount) {
        User user = DatabaseManager.getUserByUsername(username);
        user.subFlorains(amount);
    }

    public static void transfertFlorains(String usernameFROM, String usernameTO, int amount) {
        addFlorains(usernameTO, amount);
        subFlorains(usernameFROM, amount);
    }
}
