package telecomnancy.directdealing.controller;

import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuItem;
import javafx.scene.text.Text;
import telecomnancy.directdealing.App;
import telecomnancy.directdealing.model.User;

public class InfoflorainsController {
    @FXML
    MenuItem tdb;
    @FXML
    MenuItem quitter;
    @FXML
    MenuItem deco;
    @FXML
    MenuItem profil;
    @FXML
    MenuItem messagerie;
    @FXML
    MenuItem offres;
    @FXML
    Menu florains;
    @FXML
    Text solde;
    private App app;
    private User user;

    public InfoflorainsController(User user,App app){
        this.user=user;
        this.app=app;
    }

    public void initialize(){
        deco.setOnAction(event-> this.app.accueil());
        quitter.setOnAction(event->Platform.exit());
        profil.setOnAction(event->this.app.profil(this.user));
        tdb.setOnAction(event->this.app.tdb(this.user));
        messagerie.setOnAction(event-> this.app.messagerie(this.user));
        offres.setOnAction(event->this.app.listoffres(this.user));
        florains.setText(this.user.getFlorains() +" florains");
        solde.setText(""+this.user.getFlorains());
    }
}
